def FastqReader(file):
    with open(file) as f:
        # pomocný prázdný seznam do začátku
        record = []
        for i,line in enumerate(f):
            # Jsme na poslední (čtvrté) řádce záznamu?
            if i % 4 == 0:
                # vynecháme výpis prvního pomocného prázdného seznamu
                if record != []:
                    yield record
                # v příštím kroku začneme načítat nový/další záznam
                record = []
            # načtenou řádku přidáme do záznamu
            line = line.strip()
            record.append(line)
        # tisk posledního záznamu
        yield record

for record in FastqReader('fastq.fq'):
    print(record)
    input('\n')
